Bug 851922 - (CVE-2012-3969, CVE-2012-3970) CVE-2012-3969 CVE-2012-3970 Mozilla: SVG buffer overflow and use-after-free issues (MFSA 2012-63)
CVE-2012-3969 CVE-2012-3970 Mozilla: SVG buffer overflow and use-after-free i...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20120828,repor...
: Security
Depends On:
Blocks: 847589
  Show dependency treegraph
 
Reported: 2012-08-26 23:55 EDT by Huzaifa S. Sidhpurwala
Modified: 2015-03-03 05:15 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-29 01:28:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-08-26 23:55:18 EDT
Security researcher Arthur Gerkis used the Address Sanitizer tool to find two issues involving Scalable Vector Graphics (SVG) files. The first issue is a buffer overflow in Gecko's SVG filter code when the sum of two values is too large to be stored as a signed 32-bit integer, causing the function to write past the end of an array. The second issue is a use-after-free when an element with a "requiredFeatures" attribute is moved between documents. In that situation, the internal representation of the "requiredFeatures" value could be freed prematurely. Both issues are potentially exploitable. 

Reference:
http://www.mozilla.org/security/announce/2012/mfsa2012-63.html

Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Arthur Gerkis as the original reporter of this flaw.
Comment 1 errata-xmlrpc 2012-08-29 00:24:13 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:1211 https://rhn.redhat.com/errata/RHSA-2012-1211.html
Comment 2 errata-xmlrpc 2012-08-29 00:44:39 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2012:1210 https://rhn.redhat.com/errata/RHSA-2012-1210.html

Note You need to log in before you can comment on or make changes to this bug.